# Uses of Class
org.apache.zookeeper.server.controller.ControllerServerConfig

Packages that use ControllerServerConfig
Package
Description
org.apache.zookeeper.server.controller

## Uses of ControllerServerConfig in org.apache.zookeeper.server.controller

Methods in org.apache.zookeeper.server.controller with parameters of type ControllerServerConfig
Modifier and Type
Method
Description
`Thread`
ControllerService.`start(ControllerServerConfig controllerConfig)`
Starts a new thread to run the controller (useful when this service is hosted in process - such as during unit testing).
Constructors in org.apache.zookeeper.server.controller with parameters of type ControllerServerConfig
Modifier
Constructor
Description
``
`CommandListener(ZooKeeperServerController controller, ControllerServerConfig config)`